'use strict';

module.exports = {

    isEmptyObject: function(value) {
        var result = true;

        for (var i in value) {
            if (value.hasOwnProperty(i)) {
                result = false;
            }
        }

        return result;
    },

    isString: function(obj) {
        return typeof obj === 'string';
    },

    isFunction: function(obj) {
        return typeof obj === 'function';
    },

    buildQuery: function(queryParams) {
        var query = '?';

        for (var param in queryParams) {
            if (queryParams.hasOwnProperty(param)) {
                var pair = param + '=' + queryParams[param];

                if (query !== '?') {
                    pair = '&' + pair;
                }

                query += pair;
            }
        }

        return query;
    }
};
